<?php function musexpress_page_converter_display() { ?>
    <div class="wrap">
        <h1>MusexPress Pages Converter</h1>
        <form action="" method="post">
            <?php
            $pages_by_category = array(
                'desktop' => glob(ABSPATH . '*.html'),
                'tablet'  => glob(ABSPATH . 'tablet/*.html'),
                'phone'   => glob(ABSPATH . 'phone/*.html')
            );
            ?>
            <?php foreach ($pages_by_category as $category => $content): ?>
                <h2 style="text-align: center;"><?= ucfirst($category) ?> Pages</h2>
                <?php
                $pages_count = count($content);
                ?>
                <?php if ($pages_count > 0): ?>
                    <div class="tablenav">
                        <div class="tablenav-pages one-page">
                            <span class="displaying-num"><?= $pages_count . ' item' . ($pages_count > 1 ? 's' : null) ?></span>
                        </div>
                    </div>
                <?php endif; ?>
                <table class="widefat fixed striped">
                    <thead>
                        <tr>
                            <td class="check-column">
                                <input type="checkbox">
                            </td>
                            <th>Title</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php if ($pages_count === 0): ?>
                            <tr>
                                <td colspan="3">No <?= $category ?> pages!</td>
                            </tr>
                        <?php endif; ?>
                        <?php for ($index = 0; $index < $pages_count; $index++): ?>
                            <tr>
                                <?php
                                $log = ABSPATH . 'conv_pages.json';

                                $filename = basename($content[$index]);

                                $page_id = $category . "-" . ($index + 1);

                                $style = 'style="color:red;"';
                                $converted = false;

                                if (file_exists($log)) {
                                    $converted_pages = json_decode(file_get_contents($log), true);

                                    if (isset($converted_pages[str_replace(ABSPATH, '', $content[$index])])) {
                                        if ($converted_pages[str_replace(ABSPATH, '', $content[$index])]['mtime'] >= filemtime($content[$index])) {
                                            $style = 'style="color:green;"';

                                            $converted = true;
                                        }
                                    }
                                }
                                ?>
                                <th class="check-column">
                                    <input type="checkbox" name="musexpress_page_converter_<?= $category ?>_pages[]" value="<?= $filename ?>" id="<?= $page_id ?>">
                                </th>
                                <td class="column-title">
                                    <strong>
                                        <label for="<?= $page_id ?>" <?= isset($style) ? $style : null ?>><?= $filename ?></label>
                                    </strong>
                                </td>
                                <td>
                                    <?php if ($converted): ?>
                                        <span>Already converted!</span>
                                    <?php else: ?>
                                        <span>Not converted yet!</span>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endfor; ?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td class="check-column">
                                <input type="checkbox" name="name" value="">
                            </td>
                            <th>Title</th>
                            <th>Status</th>
                        </tr>
                    </tfoot>
                </table>
                <?php if ($pages_count > 0): ?>
                    <div class="tablenav">
                        <div class="tablenav-pages one-page">
                            <span class="displaying-num"><?= $pages_count . ' item' . ($pages_count > 1 ? 's' : null) ?></span>
                        </div>
                    </div>
                <?php endif; ?>
            <?php endforeach; ?>
            <p class="submit">
                <?php wp_nonce_field('musexpress_page_converter_nonce', 'nonce', false); ?>
                <input type="hidden" name="musexpress_action" value="musexpress_page_converter">
                <?php submit_button('Convert', 'primary', 'musexpress_page_converter', false); ?>
            </p>
        </form>
    </div>
<?php } ?>
