<?php
class Musexpress_Activator {
	public static function activate() {
        add_option('musegain_id');

        add_option('page_converter_settings', array(
            'add_wp_function'              => array(
                'description'  => 'If checked, it includes into the converted Adobe Muse project the necessary code to allow the use of Wordpress plugins',
                'label'        => 'Add wp function',
                'value'        => true
            ),
            'add_parser'                   => array(
                'description'  => 'If checked, it includes into the converted Adobe Muse project the necessary code to use the MusexPress widgets',
                'label'        => 'Add parser',
                'value'        => true
            ),
            'convert_internal_url'         => array(
                'description'  => 'If checked it converts the internal links of the Adobe Muse project',
                'label'        => 'Convert internal URLs',
                'value'        => true
            ),
            'absolute_css_muse_url'        => array(
                'description'  => 'If checked it makes the css resources URL absolute',
                'label'        => 'Absolute css Muse URLs',
                'value'        => true
            ),
            'absolute_script_muse_url'     => array(
                'description'  => 'If checked it makes the js resources URL absolute',
                'label'        => 'Absolute script Muse URLs',
                'value'        => true
            ),
            'absolute_images_muse_url'     => array(
                'description'  => 'If checked it makes the images URL absolute',
                'label'        => 'Absolute images Muse URLs',
                'value'        => true
            ),
            'wp_head_injection'            => array(
                'description'  => 'If checked it includes into the converted Adobe Muse project the necessary code to add the css resources of Wordpress plugins',
                'label'        => 'Wp head injection',
                'value'        => true
            ),
            'wp_footer_injection'          => array(
                'description'  => 'If checked it includes into the converted Adobe Muse project the necessary code to add the js resources of Wordpress plugins',
                'label'        => 'Wp footer injection',
                'value'        => true
            ),
            'sitemap'                      => array(
                'description'  => 'If checked it converts the URLs of the sitemp.xml file generated by Adobe Muse',
                'label'        => 'Sitemap',
                'value'        => true
            ),
            'muse_manifest'                => array(
                'description'  => 'If checked it converts the URLs of the muse_manifest.xml file generated by Adobe Muse',
                'label'        => 'Muse Manifest',
                'value'        => false
            ),
            'add_files_in_phone_version'   => array(
                'description'  => 'If checked it allows to use the MusexPress widgets in the phone version of the Adobe Muse project',
                'label'        => 'Add files in phone version',
                'value'        => true
            ),
            'add_files_in_tablet_version'  => array(
                'description'  => 'If checked it allows to use the MusexPress widgets in the tablet version of the Adobe Muse project',
                'label'        => 'Add files in tablet version',
                'value'        => true
            ),
            'convert_redirect_version_url' => array(
                'description'  => 'If checked it allows you to use your project in both phone and tablet version with MusexPress widget',
                'label'        => 'Convert redirect version url',
                'value'        => true
            ),
            'create_robots_file'           => array(
                'description'  => 'If checked it creates a robot.txt file to disallow the indexing of the original Adobe Muse project pages',
                'label'        => 'Create robots file',
                'value'        => true
            ),
            'create_index_php_priority'    => array(
                'description'  => 'If checked it changes the priority of the index page from index.html to index.php',
                'label'        => 'Create index php priority',
                'value'        => true
            ),
            'muse_jquery'    => array(
                'description'  => 'If checked it prevents to include the jQuery Muse default library',
                'label'        => 'Do not include jQuery',
                'value'        => false
            )
        ));

        $wp_rewrite = new WP_Rewrite;

        $wp_rewrite->set_permalink_structure('');

        if (!wp_next_scheduled('monthly_event')) {
            wp_schedule_event(time(), 'monthly', 'monthly_event');
        }
	}
}
