<?php
class Musexpress {
	protected $loader;

	public function __construct() {
        require_once MUSEXPRESS_PLUGIN_DIRECTORY_PATH . 'includes/class-musexpress-loader.php';

        $this->loader = new Musexpress_Loader;

        if (is_admin()) {
            $this->define_admin_hooks();
        }
	}

    public function run() {
		$this->loader->run();
	}

    private function define_admin_hooks() {
        require_once MUSEXPRESS_PLUGIN_DIRECTORY_PATH . 'admin/class-musexpress-admin.php';

        $plugin_admin = new Musexpress_Admin;

        $plugin_admin->musexpress_enable_updates();

        $this->loader->add_action('admin_enqueue_scripts', $plugin_admin, 'enqueue_styles');
        $this->loader->add_action('admin_menu', $plugin_admin, 'musexpress_admin_menu');
        $this->loader->add_action('admin_notices', $plugin_admin, 'musexpress_admin_notices');
        $this->loader->add_action('welcome_panel', $plugin_admin, 'musexpress_welcome_panel');
        $this->loader->add_action('admin_init', $plugin_admin, 'process_data');

        $this->loader->add_filter('plugin_row_meta', $plugin_admin, 'musexpress_plugin_row_meta', 10, 2);
    }
}
